Subject: Re: [Bitcoin-development] DragonFly BSD bitcoind patches

From: Jeff Garzik <[email-masked]>
Date: Wed, 10 Aug 2011 22:45:36 -0400

On Sun, Aug 7, 2011 at 11:07 PM, Venkatesh Srinivas
<[email-masked]> wrote:
> Hi,
>
> Related to https://bitcointalk.org/index.php?topic=28022.0 ;
>
> Here are three patches that allow bitcoind to build and run on DragonFly
> BSD.
>
> 0001) bitcoind assumes a definition of BSD implies SO_NOSIGPIPE is
> available.
> This is not true on NetBSD, OpenBSD, and DragonFly.

applied

> 0002) main.cpp has: "char pchMessageStart[4] = { 0xf9, 0xbe, 0xb4, 0xd9 };"
> Per discussion on the thread linked, leaving the signedness of
> pchMessageStart
> is unsafe for values > 0x80. This patch specifies 'unsigned char' in
> main.cpp
> and net.h.
>
> 0003) db.cpp has a number of uses of make_tuple and has 'using namespace
> std'
> and 'using namespace boost'. Without qualifying make_tuple, std::make_tuple
> is
> preferred, which is incorrect. This patch qualifies make_tuple.

Looks good at first glance.  Creating pull requests @ github for these two.

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]